## org.gnu.gtk
Class IconView

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.IconView

public class IconView
extends Container

Constructor Summary
`IconView()` Create a new IconView
`IconView(org.gnu.glib.Handle handle)` Create a new IconView with a handle to a native resource returned from a call to the native libraries.
`IconView(TreeModel model)` Create a new IconView specifying the model.

Method Summary
`void` `addListener(IconViewListener listener)` Register an object to handle IconView events.
`CellRenderer` `getCellRendererAtPosition(int x, int y)` Finds the cell at the point (x,y), relative to widget coordinates.
`int` `getColumns()` Returns the number of columns for this IconView.
`int` `getColumnSpacing()`
`CellRenderer` `getCursorCellRenderer()` Returns the current cursor cell.
`TreePath` `getCursorPath()` Returns the current cursor path.
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`static IconView` `getIconView(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`int` `getItemWidth()` Returns the width of each item.
`int` `getMargin()`
`int` `getMarkupColumn()` Returns the column with markup text for this IconView.
`TreeModel` `getModel()` Returns the model that the IconView is using.
`Orientation` `getOrientation()` Returns the Orientation for this IconView.
`TreePath` `getPathAtPosition(int x, int y)` Find the path at the point (x,y) relative to widget coordinates.
`int` `getPixbufColumn()` Returns the column with Pixbufs for this IconView.
`boolean` `getReorderable()` Retrieves whether the user can reorder the list via drag-and-drop.
`int` `getRowSpacing()`
`TreePath[]` `getSelectedItems()` Returns an array of all selected paths.
`SelectionMode` `getSelectionMode()` Returns the selection mode for this IconView.
`int` `getSpacing()`
`int` `getTextColumn()` Returns the column with text fro this IconView.
`void` `itemActivated(TreePath path)` Activate the item specified by path.
`boolean` `pathIsSelected(TreePath path)` returns true if the path is currently selected.
`void` `removeListener(IconViewListener listener)` Removes a listener.
`void` `selectAll()` Selects all of the icons.
`void` `selectPath(TreePath path)` Selects the row at the specified path.
`void` `setColumns(int columns)` Set the number of columns for this IconView.
`void` `setColumnSpacing(int columnSpacing)`
`void` `setCursor(TreePath path, CellRenderer renderer, boolean startEditing)` Sets the current keyboard focus to be at path, and selects it.
`void` `setItemWidth(int width)` Sets the width of each item.
`void` `setMargin(int margin)`
`void` `setMarkupColumn(int column)` Sets the column with markup information for this IconView to be the specified column.
`void` `setModel(TreeModel model)` Sets the model for this IconView.
`void` `setOrientation(Orientation orientation)` Sets the orientation of this IconView which determines whether the labels are drawn beside instead of below the icons.
`void` `setPixbufColumn(int column)` Sets the column with Pixbufs for this IconView to be the specified column.
`void` `setReorderable(boolean reorderable)` Convenience method that allows the caller to set whether models that support `TreeDragSource` and `TreeDragDest` should be reorderable by the users.
`void` `setRowSpacing(int rowSpacing)`
`void` `setSelectionMode(SelectionMode mode)` Sets the selection mode for this IconView.
`void` `setSpacing(int spacing)`
`void` `setTextColumn(int column)` Sets the column with text for this IconView to be the specified column.
`void` `unselectAll()` Unselects all of the icons.
`void` `unselectPath(TreePath path)` Unselects the row at the specified path.

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getResizeMode, getType, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IconView

    public IconView()

  Create a new IconView

### IconView

    public IconView(TreeModel model)

  Create a new IconView specifying the model.

Parameters:
  `model` -

### IconView

    public IconView(org.gnu.glib.Handle handle)

  Create a new IconView with a handle to a native resource returned from a call to the native libraries. This constructor should only be used internally by Java-Gnome.

Parameters:
  `handle` - The handle that represents a pointer to a native resource.

Method Detail

### getIconView

    public static IconView getIconView(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### setModel

    public void setModel(TreeModel model)

  Sets the model for this IconView. If the IconView already has a model it will remove it before setting the new model. If model is null it will unset the old model.

  Parameters:
    `model` -

### getModel

    public TreeModel getModel()

  Returns the model that the IconView is using. It will return null if a model is the IconView currently does not have a model.

### setTextColumn

    public void setTextColumn(int column)

  Sets the column with text for this IconView to be the specified column. The text column must be of type DataColumnString.

  Parameters:
    `column` -

### getTextColumn

    public int getTextColumn()

  Returns the column with text fro this IconView.

### setMarkupColumn

    public void setMarkupColumn(int column)

  Sets the column with markup information for this IconView to be the specified column. The markup column must be of type DataColumnString. If the markup column is set to something it overrides the text column set by `setTextColumn`

  Parameters:
    `column` -

### getMarkupColumn

    public int getMarkupColumn()

  Returns the column with markup text for this IconView.

### setPixbufColumn

    public void setPixbufColumn(int column)

  Sets the column with Pixbufs for this IconView to be the specified column. This pixubf column must be of type DataColumnPixbuf.

  Parameters:
    `column` -

### getPixbufColumn

    public int getPixbufColumn()

  Returns the column with Pixbufs for this IconView.

### setOrientation

    public void setOrientation(Orientation orientation)

  Sets the orientation of this IconView which determines whether the labels are drawn beside instead of below the icons.

  Parameters:
    `orientation` -

### getOrientation

    public Orientation getOrientation()

  Returns the Orientation for this IconView.

### setColumns

    public void setColumns(int columns)

  Set the number of columns for this IconView.

  Parameters:
    `columns` -

### getColumns

    public int getColumns()

  Returns the number of columns for this IconView.

### setItemWidth

    public void setItemWidth(int width)

  Sets the width of each item.

  Parameters:
    `width` -

### getItemWidth

    public int getItemWidth()

  Returns the width of each item.

### setSpacing

    public void setSpacing(int spacing)

  Parameters:
    `spacing` -

### getSpacing

    public int getSpacing()

### setRowSpacing

    public void setRowSpacing(int rowSpacing)

  Parameters:
    `rowSpacing` -

### getRowSpacing

    public int getRowSpacing()

### setColumnSpacing

    public void setColumnSpacing(int columnSpacing)

  Parameters:
    `columnSpacing` -

### getColumnSpacing

    public int getColumnSpacing()

### setMargin

    public void setMargin(int margin)

  Parameters:
    `margin` -

### getMargin

    public int getMargin()

### setReorderable

    public void setReorderable(boolean reorderable)

  Convenience method that allows the caller to set whether models that support `TreeDragSource` and `TreeDragDest` should be reorderable by the users. Both `TreeStore` and `ListStore` support these.

  If `reorderable` is `true`, then the user can reorder the model by dragging and dropping rows. Those interested in notification when these changes take place should add a TreeModelListener to the model, and listen to TreeModelEvents of type ROW_INSERTED and ROW_DELETED.

  This method does not give any degree of control over the order -- any reordering is allowed. If more control is needed, drag and drop should be handled manually.

  Parameters:
    `reorderable` - if the list of items can be reordered.
  Since:
    2.8.1

### getReorderable

    public boolean getReorderable()

  Retrieves whether the user can reorder the list via drag-and-drop.

  Returns:
    `true` if the list can be reordered.
  Since:
    2.8.1

### getPathAtPosition

    public TreePath getPathAtPosition(int x,
                                      int y)

  Find the path at the point (x,y) relative to widget coordinates.

  Parameters:
    `x` -
    `y` -

### setSelectionMode

    public void setSelectionMode(SelectionMode mode)

  Sets the selection mode for this IconView.

  Parameters:
    `mode` -

### getSelectionMode

    public SelectionMode getSelectionMode()

  Returns the selection mode for this IconView.

### selectPath

    public void selectPath(TreePath path)

  Selects the row at the specified path.

  Parameters:
    `path` -

### unselectPath

    public void unselectPath(TreePath path)

  Unselects the row at the specified path.

  Parameters:
    `path` -

### pathIsSelected

    public boolean pathIsSelected(TreePath path)

  returns true if the path is currently selected.

  Parameters:
    `path` -

### getSelectedItems

    public TreePath[] getSelectedItems()

  Returns an array of all selected paths.

### selectAll

    public void selectAll()

  Selects all of the icons. The IconView must have its' selection mode set to SelectionMode.MULTIPLE.

### unselectAll

    public void unselectAll()

  Unselects all of the icons.

### itemActivated

    public void itemActivated(TreePath path)

  Activate the item specified by path.

  Parameters:
    `path` -

### setCursor

    public void setCursor(TreePath path,
                          CellRenderer renderer,
                          boolean startEditing)

  Sets the current keyboard focus to be at path, and selects it. This is useful when you want to focus the user's attention on a particular item. If renderer is not null, then focus is given to the cell specified by it. Additionally, if startEditing is true, then editing should be started in the specified cell.

  Parameters:
    `path` - A TreePath
    `renderer` - A CellRenderer or null
    `startEditing` - true if the specified cell should start being edited.

### getCursorPath

    public TreePath getCursorPath()

  Returns the current cursor path. If the cursor isn't currently set, then null will be returned.

  Returns:
    current cursor TreePath or null.

### getCursorCellRenderer

    public CellRenderer getCursorCellRenderer()

  Returns the current cursor cell. If no cell currently has focus, then null will be returned.

  Returns:
    current cursor CellRenderer or null.

### getCellRendererAtPosition

    public CellRenderer getCellRendererAtPosition(int x,
                                                  int y)

  Finds the cell at the point (x,y), relative to widget coordinates.

  Parameters:
    `x` - The x position to be identified.
    `y` - The y position to be identified.
  Returns:
    CellRenderer responsible for the cell at (x,y) or null if no item exists at the specified position.

### addListener

    public void addListener(IconViewListener listener)

  Register an object to handle IconView events.

  See Also:
    `IconViewListener`

### removeListener

    public void removeListener(IconViewListener listener)

  Removes a listener.

  See Also:
    `addListener(IconViewListener)`

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `Container`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `Container`